List all worker client certificates

View as Markdown
Each worker must authenticate using a client certificate. This endpoint lists all certificates that have been issued to workers the requester has read permissions over.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

Allowed values:
searchstringOptional
A search term.
workerstringOptionalformat: "uuid"

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error